<!--##
<NAME>Article - Section Design</NAME>
<DESC>Article - Section Design</DESC>
<SECTION>Platform||Articles</SECTION>
##-->
<!--## PAGE TITLE ELEMENT ##-->
<inp2:m_DefineElement name="page_title">
	<inp2:m_include template="platform/elements/title_bar.elm"/>
</inp2:m_DefineElement>
<!--## //PAGE TITLE ELEMENT ##-->

<!--## SIDE-BAR ELEMENT ##-->
<inp2:m_DefineElement name="sidebar">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/login.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/search.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-news/elements/side_boxes/action_box.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-news/elements/side_boxes/pick.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-news/elements/side_boxes/new.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-news/elements/side_boxes/pop.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-news/elements/side_boxes/hot.elm" design="blue_box" data_exists="1"/>
		</div>
	</div>
</inp2:m_DefineElement>
<!--## //SIDE-BAR ELEMENT ##-->

<!--## MAIN CONTENT ##-->
<inp2:m_DefineElement name="content">
	<div class="movable-element">
		<!--## INCLUDE NAVIGATION BAR ##-->
		<inp2:m_include template="platform/elements/navigation_bar.elm"/>
		<!--## //INCLUDE NAVIGATION BAR ##-->
	</div>

	<div class="movable-element">
		<inp2:m_if check="n_IsModuleHome">
			<inp2:m_include template="in-news/elements/content_boxes/site_lead_article.elm"/>
		</inp2:m_if>
	</div>

	<div class="movable-element">
		<inp2:m_include template="platform/elements/content_boxes/sub_categories.elm"/>
	</div>

	<div class="movable-element">
		<!-- category lead articles -->
		<inp2:m_RenderElement design="content_box" data_exists="1">
			<inp2:n_InitList list_name="category_lead" types="cat_lead" per_page="-1"/>

			<inp2:m_Capture to_var="header">
				<inp2:m_phrase name="lu_title_CategoryLeadStory"/>
			</inp2:m_Capture>

			<table class="table-gradient-grey" width="100%">
				<inp2:n_ListArticles list_name="category_lead" render_as="category_lead_article_element" no_table="1"/>
			</table>
		</inp2:m_RenderElement>
		<!-- // category lead articles -->
	</div>

	<div class="movable-element">
		<!-- articles in category -->
		<inp2:m_RenderElement design="content_box" data_exists="1" block_no_data="no_articles">
			<inp2:m_include template="in-news/elements/articles.elm"/>
			<inp2:n_InitList list_name="items_in_current_cat" />

			<inp2:m_Capture to_var="header">
				<inp2:m_phrase name="lu_title_Articles"/> (<inp2:n_TotalRecords list_name="items_in_current_cat"/>)
			</inp2:m_Capture>

			<inp2:m_include template="in-news/elements/sorting.elm" list_name="items_in_current_cat"/>

			<table class="fullwidth item-listing table-border">
				<inp2:n_ListArticles list_name="items_in_current_cat" render_as="article_element" direction="H"/>
			</table>

			<inp2:m_include template="platform/elements/pagination.elm" prefix="n" list_name="items_in_current_cat"/>

			<div align="left">
				<a href="<inp2:c_CategoryLink template="in-news/elements/rss.xml" cat_id="current"/>"><inp2:m_Phrase name="lu_rss_feed"/></a>
			</div>
		</inp2:m_RenderElement>
		<!-- // articles in category -->
	</div>

	<!--## LIST RELATED CATEGORIES ##-->
	<!--##
	<div class="movable-element">
		<inp2:m_RenderElement design="content_box" related_to="Category" data_exists="1">
			<inp2:m_Capture to_var="header">
				<inp2:m_Phrase label="lu_title_RelatedCategories"/>
			</inp2:m_Capture>

			<inp2:m_include template="platform/elements/content_boxes/related_items.elm" related_to="$related_to" />
		</inp2:m_RenderElement>
	</div>
	##-->
	<!--## //LIST RELATED CATEGORIES ##-->
</inp2:m_DefineElement>
<!--## /MAIN CONTENT ##-->

<!--## DESIGN TEMPLATE ##-->
<inp2:m_include template="platform/designs/default_design.des" pass_params="1"/>
<!--## /DESIGN TEMPLATE ##-->